Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XML_Types.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/SString.h"`
`#include "ace/Functor_String.h"`

Include dependency graph for XML_Types.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | __ACEXML_INLINE__ inline
#define | ACEXML_INLINE inline
## Typedefs
typedef ACE_USHORT16 | ACEXML_UTF16
typedef ACE_UINT32 | ACEXML_UCS4
typedef char | ACEXML_UTF8
typedef ACE_TCHAR | ACEXML_Char
typedef ACE_CString | ACEXML_String

## Detailed Description

This file collects the type definitions for data types used in ACE XML parser.

Id
  XML_Types.h,v 1.10 2004/08/26 15:40:54 shuston Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Define Documentation

#define __ACEXML_INLINE__ inline

#define ACEXML_INLINE inline

## Typedef Documentation

ACEXML_Char

| ACEXML_Char only maps to ACEXML_UTF16 when ACE_USES_WCHAR is defined. Here we assume sizeof (wchar_t) is always 2 bytes. Default XML strings will use UTF-8 encoding. We would like to use the string classes in standard C++ Library here. But they are not very portable yet (as far as I know,) and I'll just use ACE_CString for now, unless UNICODE support is turned on. Notice that you should never convert strings between ACE_CString and ACE_WString using the built-in conversion functions as they only perform simple copy without any encoding conversion.

typedef ACE_CString ACEXML_String

typedef ACE_UINT32 ACEXML_UCS4

typedef ACE_USHORT16 ACEXML_UTF16

typedef char ACEXML_UTF8